<!-- Header -->
<div id="top" align="center">
  <br />

  <!-- Logo -->
  <img src="./icon.png" alt="Logo" width="200" height="200">

  <!-- Title -->
### Formula Manager

  <!-- Description -->
  Formula Recording Software

  <!-- Repo badges -->
  [![Version](https://img.shields.io/badge/dynamic/json.svg?label=Version&style=for-the-badge&url=https://git.zakscode.com/api/v1/repos/fhsons/formula-manager/tags%3Ftoken%3D35a3bf73a216782a7435f86117412bcb9784b716&query=$[0].name)](https://git.zakscode.com/fhsons/formula-manager/tags)
  [![Pull Requests](https://img.shields.io/badge/dynamic/json.svg?label=Pull%20Requests&style=for-the-badge&url=https://git.zakscode.com/api/v1/repos/fhsons/formula-manager%3Ftoken%3D35a3bf73a216782a7435f86117412bcb9784b716&query=open_pr_counter)](https://git.zakscode.com/fhsons/formula-manager/pulls)
  [![Issues](https://img.shields.io/badge/dynamic/json.svg?label=Issues&style=for-the-badge&url=https://git.zakscode.com/api/v1/repos/fhsons/formula-manager%3Ftoken%3D35a3bf73a216782a7435f86117412bcb9784b716&query=open_issues_count)](https://git.zakscode.com/fhsons/formula-manager/issues)

  <!-- Links -->

  ---
  <div>
    <a href="https://git.zakscode.com/fhsons/formula-manager/wiki" target="_blank">Documentation</a>
    • <a href="https://git.zakscode.com/fhsons/formula-manager/releases" target="_blank">Release Notes</a>
    • <a href="https://git.zakscode.com/fhsons/formula-manager/issues/new?template=.github%2fissue_template%2fbug.md" target="_blank">Report a Bug</a>
    • <a href="https://git.zakscode.com/fhsons/formula-manager/issues/new?template=.github%2fissue_template%2fenhancement.md" target="_blank">Request a Feature</a>
  </div>

  ---
</div>

## Table of Contents
- [Formula Manager](#top)
    - [About](#about)
        - [Built With](#built-with)
    - [Setup](#setup)
        - [Development](#development)
    - [License](#license)

## About

<img alt="Screenshot" src="./splash.png" width="50%" height="auto">

Formula Manager is a Java program written to record chemical formulas & break them down into the required materials & vendors.

Formulas can be scaled & have the materials automatically adjusted.

All formulas are maintained by FH & Sons and are synced to the client through their webserver.

### Built With
[![Java](https://img.shields.io/badge/Java-5382A1?style=for-the-badge&logo=coffeescript&logoColor=F8981D)](https://java.com/)

## Setup

<details>
<summary>
  <h3 id="produciton" style="display: inline">
    Production
  </h3>
</summary>

#### Prerequisites
- [Java JDK](https://www.oracle.com/java/technologies/downloads/)

#### Instructions
1. [Download](https://git.zakscode.com/fhsons/formula-manager/releases/download/1.0.0/formula-manager_1.0.0.zip) the latest [release](https://git.zakscode.com/fhsons/formula-manager/releases/)
2. Extract to desired install directory
3. Run `Formula Manager.jar`

</details>

<details>
<summary>
  <h3 id="development" style="display: inline">
    Development
  </h3>
</summary>

#### Prerequisites
- [Java SDK](https://www.oracle.com/ca-en/java/technologies/downloads)

#### Instructions
1. Compile source code: `cd src/com/zakscode/FormulaManager && javac Main.java`
2. Start the game: `java StartUp`

</details>

## License
Copyright © 2023 Zakary Timson | All Rights Reserved

See the [license](./LICENSE) for more information.
